VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
ChordEvent Struct Reference

Chord event specific data. More...

`#include <ivstevents.h>`

## Public Attributes
int16 | root
| range [0, 127] = [C-2, G8] with A3=440Hz
int16 | bassNote
| range [0, 127] = [C-2, G8] with A3=440Hz
int16 | mask
| root is bit 0
uint16 | textLen
            the number of characters (TChar) between the beginning of text and the terminating
null character (without including the terminating null character itself)
const TChar * | text
| UTF-16, null terminated Hosts Chord Name.

## Detailed Description

Chord event specific data.

Used in Event (union)

## Member Data Documentation

int16 root

range [0, 127] = [C-2, G8] with A3=440Hz

int16 bassNote

range [0, 127] = [C-2, G8] with A3=440Hz

int16 mask

root is bit 0

uint16 textLen

            the number of characters (TChar) between the beginning of text and the terminating

null character (without including the terminating null character itself)

const TChar* text

UTF-16, null terminated Hosts Chord Name.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.